#ifndef HOMOLOGY2PG_H
#define HOMOLOGY2PG_H
#include <stdio.h>
#include <stdlib.h>

#define OPTION_FLAG     '-'
#define OPTION_FLAG_POS (0)
#define OPTION_POS      (1)




typedef struct homology2PGInfo {
    long flagRedirect;

    long flagIn;
    char* In;
    FILE* fptIn;
    
    long flagOut;
    char* Out;
    FILE* fptOut;
    
    long flagSkip;
    long Skip;
    
    long flagHost;
    char* Host;
    
    long flagconfigFile;
    char* configFile;
    FILE* fptconfigFile;
    
    long flagPort;
    char* Port;
    
    long flagdatabase;
    char* database;
    
    long flagmode;
    long mode;
    
} homology2PGInfo;
#ifdef __cplusplus
extern "C" {
#endif
extern void argCheck(homology2PGInfo* info, int argc, char* avgv[]);
extern void khorosInit(int argc, char* avgv[]);
extern void init0(homology2PGInfo* info);
extern void init1(homology2PGInfo* info);
extern void usage(char* usage);
extern void additionalUsage(void);
extern void htmlBeforeUsage(char* usage);
extern void htmlAfterUsage(char* usage);
#ifdef __cplusplus
};
#endif
#endif /* HOMOLOGY2PG_H */
